Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface AMX

All Superinterfaces:
  AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  AccessLogConfig, AdminObjectResourceConfig, AdminServiceConfig, AllDottedNames, AMXConfig, AMXCounterMonitor, AMXGaugeMonitor, AMXJMXMonitor, AMXStringMonitor, AppClientModule, AppClientModuleConfig, ApplicationMonitor, AuditModuleConfig, AuthRealmConfig, AvailabilityServiceConfig, BeanCacheMonitor, BeanMethodMonitor, BeanMonitor, BeanPoolMonitor, BulkAccess, ClusterConfig, ClusteredServerConfig, ConfigConfig, ConfigDottedNames, ConfigElement, ConnectionManagerMonitor, ConnectionPoolConfig, ConnectionQueueMonitor, ConnectorConnectionPoolConfig, ConnectorConnectionPoolMonitor, ConnectorModuleConfig, ConnectorResourceConfig, ConnectorServiceConfig, Container, CustomResourceConfig, DASConfig, DeployedItemRefConfig, DeploymentMgr, DNSMonitor, DomainConfig, DomainRoot, DottedNames, EJB, EJBContainerAvailabilityConfig, EJBContainerConfig, EJBModule, EJBModuleConfig, EJBModuleMonitor, EJBTimerServiceConfig, EntityBean, EntityBeanMonitor, FileCacheMonitor, HealthCheckerConfig, HTTPAccessLogConfig, HTTPFileCacheConfig, HTTPListenerConfig, HTTPListenerMonitor, HTTPProtocolConfig, HTTPServiceConfig, HTTPServiceMonitor, HTTPServiceVirtualServerMonitor, IIOPListenerConfig, IIOPServiceConfig, J2EEApplication, J2EEApplicationConfig, J2EECluster, J2EEDeployedObject, J2EEDomain, J2EELogicalServer, J2EEManagedObject, J2EEModule, J2EEResource, J2EEServer, JACCProviderConfig, JavaConfig, JavaMailResource, JCAConnectionFactory, JCAManagedConnectionFactory, JCAResource, JDBCConnectionPoolConfig, JDBCConnectionPoolMonitor, JDBCDataSource, JDBCDriver, JDBCResource, JDBCResourceConfig, JMSHostConfig, JMSResource, JMSResourceConfig, JMSServiceConfig, JMXConnectorConfig, JMXMonitorMgr, JNDIResource, JNDIResourceConfig, JTAResource, JVM, JVMMonitor, KeepAliveConfig, KeepAliveMonitor, LBClusterRefConfig, LBConfig, LifecycleModuleConfig, LogServiceConfig, MailResourceConfig, ManagerPropertiesConfig, MDBContainerConfig, MessageDrivenBean, MessageDrivenBeanMonitor, MessageSecurityConfig, ModuleConfig, ModuleLogLevelsConfig, ModuleMonitoringLevelsConfig, Monitoring, MonitoringDottedNames, MonitoringRoot, MonitoringServiceConfig, MonitoringStats, NamedConfigElement, NativeWebCoreThreadPoolMonitor, NativeWebCoreVirtualServerRequestMonitor, NodeAgentConfig, NotificationService, NotificationServiceMgr, ORBConfig, PersistenceManagerFactoryResourceConfig, ProfilerConfig, ProviderConfig, QueryMgr, QuorumServiceConfig, RARModuleConfig, RefConfig, RequestPolicyConfig, RequestProcessingConfig, ResourceAdapter, ResourceAdapterConfig, ResourceAdapterModule, ResourceConfig, ResourceRefConfig, ResponsePolicyConfig, RMIIIOPResource, Sample, SecurityServiceConfig, ServerConfig, ServerRefConfig, ServerRootMonitor, Servlet, ServletMonitor, SessionBean, SessionConfig, SessionManagerConfig, SessionPropertiesConfig, SSLConfig, SSLConfigContainer, StandaloneServerConfig, StatefulSessionBean, StatefulSessionBeanMonitor, StatelessSessionBean, StatelessSessionBeanMonitor, StorePropertiesConfig, SystemInfo, SystemPropertiesConfig, ThreadPoolConfig, ThreadPoolMonitor, TransactionServiceConfig, TransactionServiceMonitor, UploadDownloadMgr, URLResource, VirtualServerConfig, WebContainerAvailabilityConfig, WebContainerConfig, WebModule, WebModuleConfig, WebModuleVirtualServerMonitor

public interface AMX
extends AMXMBeanLogging, NotificationEmitter

Base interface implemented by all available interfaces part of the Appserver Application Programming Interface (AMX). An AMX is actually a dynamic client-side proxy to a server-side MBean. It provides a strongly typed and convenient interface for accessing the server-side MBeans.

Certain conventions are followed when an AMX provides access to other AMX instances; when a single item is returned, the return type is strongly-typed. When a Map or Set is returned, the values found in the Map or Set must be cast appropriately. The context should make it obvious what the appropriate cast is. It is always safe to cast to AMX, since this is base interface.

Additional information, such as `MBeanInfo` for the target MBean, may be obtained via `Util.getExtra(com.sun.appserv.management.base.AMX)`

All AMX that emit Notifications place a Map within the userData field of a standard `Notification` which may be obtained via `Notification.getUserData()`. Within the Map are zero or more items, which vary with the Notification type. Each Notification type, and data available within the Notification, is defined in its respective MBean or in an appropriate place.

See Also:
  `Util.getExtra(com.sun.appserv.management.base.AMX)`, `Extra`, `Container`, `StdAttributesAccess`, `PropertiesAccess`, `MonitoringStats`, `J2EEDomain`

Field Summary
`static java.lang.String` | `FULL_TYPE_DELIM` The delimiter between parts of a fully-qualified type as returned by `getFullType()`.
`static java.lang.String` | `GROUP_CONFIGURATION` Value from `getGroup()` indicating that the AMX is a configuration MBean.
`static java.lang.String` | `GROUP_JSR77` Value from `getGroup()` indicating that the AMX is a JSR 77 MBean (J2EE Management) .
`static java.lang.String` | `GROUP_MONITORING` Value from `getGroup()` indicating that the AMX represents a monitoring MBean.
`static java.lang.String` | `GROUP_OTHER` Value from `getGroup()` indicating that the AMX is not one of the other types.
`static java.lang.String` | `GROUP_UTILITY` Value from `getGroup()` indicating that the AMX is a utility MBean.
`static java.lang.String` | `J2EE_TYPE_KEY` The ObjectName property key denoting the type of the MBean.
`static java.lang.String` | `NAME_KEY` The ObjectName property key denoting the name of the MBean.
`static java.lang.String` | `NO_NAME` The name given to any MBean lacking a "real" name.
`static java.lang.String` | `NULL_NAME` The name used when a FullType part refers to a non-existent parent eg a standalone ejb or web module that has a null J2EEApplication.

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`Container` | `getContainer()` Get the AMX which logically contains this one.
`DomainRoot` | `getDomainRoot()` Get the DomainRoot.
`java.lang.String` | `getFullType()` Format: [[[part].]*]j2eeType Example for j2eeType=Servlet: type=J2EEServer.J2EEApplication.WebModule.Servlet
`java.lang.String` | `getGroup()` Possible values include: `GROUP_CONFIGURATION` `GROUP_MONITORING` `GROUP_MONITORING` `GROUP_UTILITY` `GROUP_JSR77` `GROUP_OTHER`
`java.lang.String` | `getJ2EEType()` Get the j2eeType of this item.
`java.lang.String` | `getName()` Get the name of this item.

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### FULL_TYPE_DELIM

    public static final java.lang.String FULL_TYPE_DELIM

  The delimiter between parts of a fully-qualified type as returned by `getFullType()`.

  See Also:
    Constant Field Values

### GROUP_CONFIGURATION

    public static final java.lang.String GROUP_CONFIGURATION

  Value from `getGroup()` indicating that the AMX is a configuration MBean.

  See Also:
    Constant Field Values

### GROUP_MONITORING

    public static final java.lang.String GROUP_MONITORING

  Value from `getGroup()` indicating that the AMX represents a monitoring MBean.

  See Also:
    Constant Field Values

### GROUP_UTILITY

    public static final java.lang.String GROUP_UTILITY

  Value from `getGroup()` indicating that the AMX is a utility MBean.

  See Also:
    Constant Field Values

### GROUP_JSR77

    public static final java.lang.String GROUP_JSR77

  Value from `getGroup()` indicating that the AMX is a JSR 77 MBean (J2EE Management) .

  See Also:
    Constant Field Values

### GROUP_OTHER

    public static final java.lang.String GROUP_OTHER

  Value from `getGroup()` indicating that the AMX is not one of the other types.

  See Also:
    Constant Field Values

### J2EE_TYPE_KEY

    public static final java.lang.String J2EE_TYPE_KEY

  The ObjectName property key denoting the type of the MBean.

  See Also:
    Constant Field Values

### NAME_KEY

    public static final java.lang.String NAME_KEY

  The ObjectName property key denoting the name of the MBean.

  See Also:
    Constant Field Values

### NO_NAME

    public static final java.lang.String NO_NAME

  The name given to any MBean lacking a "real" name. Certain MBeans are singletons within their scope, and while they have a "name" field within their ObjectName (property `NAME_KEY`), they have no meaningful name.

  See Also:
    Constant Field Values

### NULL_NAME

    public static final java.lang.String NULL_NAME

  The name used when a FullType part refers to a non-existent parent eg a standalone ejb or web module that has a null J2EEApplication.

  See Also:
    Constant Field Values

Method Detail

### getContainer

    public Container getContainer()

  Get the AMX which logically contains this one. All AMX have a Container except for DomainRoot.

  Returns:
    the parent proxy for this one, possibly null.
  See Also:
    `AMXAttributes.ATTR_CONTAINER_OBJECT_NAME`

### getDomainRoot

    public DomainRoot getDomainRoot()

  Get the DomainRoot.

  Returns:
    the Domain representing the Appserver Domain to which this belongs

### getFullType

    public java.lang.String getFullType()

  Format:

                              [[[part].]*]j2eeType

  Example for j2eeType=Servlet:

              type=J2EEServer.J2EEApplication.WebModule.Servlet

  See Also:
    `AMXAttributes.ATTR_FULL_TYPE`

### getGroup

    public java.lang.String getGroup()

  Possible values include:
  - `GROUP_CONFIGURATION`
  - `GROUP_MONITORING`
  - `GROUP_MONITORING`
  - `GROUP_UTILITY`
  - `GROUP_JSR77`
  - `GROUP_OTHER`

  Returns:
    the group to which this AMX belongs.
  See Also:
    `AMXAttributes.ATTR_GROUP`

### getJ2EEType

    public java.lang.String getJ2EEType()

  Get the j2eeType of this item. Same as the value of the 'j2eeType' property within the ObjectName. The ObjectNames of all AMX contain a property whose key is "j2eeType" (`J2EE_TYPE_KEY`) and whose value is specific to the sub-interface the item represents. Equivalent to the J2EE_TYPE field found in each AMX sub-interface.

  Returns:
    String which is the j2eeType
  See Also:
    `XTypes`, `J2EETypes`

### getName

    public java.lang.String getName()

  Get the name of this item. Same as the value of the 'name' property within the ObjectName.

  Returns:
    the "name" property value as found inside the ObjectName
  See Also:
    `NAME_KEY`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.